Create crypto settlements
curl --request POST \
--url https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements/crypto \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"settlements": [
{
"asset": "<string>",
"destination": "<string>"
}
]
}
'import requests
url = "https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements/crypto"
payload = { "settlements": [
{
"asset": "<string>",
"destination": "<string>"
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({settlements: [{asset: '<string>', destination: '<string>'}]})
};
fetch('https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settlements": [
{
"id": "crypto_Xk7nWp8XmQj2YrTv6",
"asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"
}
]
}Merchants
Create crypto settlements
POST
/
v1
/
merchants
/
{merchantId}
/
settlements
/
crypto
Create crypto settlements
Authorizations
API KeyApiKeyAppId
Headers
Unique key to ensure idempotent request processing. Max 255 characters.
Maximum string length:
255Path Parameters
Body
application/json
List of asset/destination pairs to register. Up to 50 entries per request.
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
Crypto settlements created
Show child attributes
Show child attributes
⌘I